﻿
using JetBrains.Annotations;
using OpcLabs.BaseLib;

namespace OpcLabs.BaseLibFactory
{
    static public class Int32RangeInstances
    {
        [NotNull]
        static public Int32Range Instance0 => Int32Range.Create(0, 0);

        [NotNull]
        static public Int32Range Instance1 => Int32Range.Create(0, 1);

        [NotNull]
        static public Int32Range Instance2 => Int32Range.Create(1, 2);

        [NotNull]
        static public Int32Range Instance3 => Int32Range.Create(1000, 2000);

        [NotNull]
        static public Int32Range Instance4 => Int32Range.Create(1001, int.MaxValue);

        [NotNull]
        static public Int32Range Instance5 => Int32Range.Create(-2002, -1002);

        [NotNull]
        static public Int32Range Instance6 => Int32Range.Create(-2003, 1003);

        [NotNull]
        static public Int32Range Instance7 => Int32Range.Create(int.MinValue, -1004);

        [NotNull]
        static public Int32Range Instance8 => Int32Range.Create(int.MinValue, 1005);

        [NotNull]
        static public Int32Range Instance9 => Int32Range.Create(-1006, int.MaxValue);

        [NotNull]
        static public Int32Range Instance10 => Int32Range.Create(int.MinValue, int.MaxValue);
    }
}
