﻿using JetBrains.Annotations;
using OpcLabs.BaseLib;

namespace OpcLabs.BaseLibFactory
{
    static public class ObjectDescriptorInstances
    {
        [NotNull]
        static public ObjectDescriptor Instance1 => new ObjectDescriptor("", "company1.class1");

        [NotNull]
        static public ObjectDescriptor Instance2 => new ObjectDescriptor("mycomputer", "company1.class1");

        [NotNull]
        static public ObjectDescriptor Instance3 => new ObjectDescriptor("dcom:company1.class1-3");

        [NotNull]
        static public ObjectDescriptor Instance4 => new ObjectDescriptor("dcom:company1.class1/clsid");

        [NotNull]
        static public ObjectDescriptor Instance5 => new ObjectDescriptor("dcom://machine1/company1.class1");

        [NotNull]
        static public ObjectDescriptor Instance6 => new ObjectDescriptor("dcom://machine1/company1.class1/clsid");

        [NotNull]
        static public ObjectDescriptor Instance7 => new ObjectDescriptor("http://host2:8080/path2");

        [NotNull]
        static public ObjectDescriptor Instance8 => new ObjectDescriptor("https://host3:444/path3");

        [NotNull]
        static public ObjectDescriptor InvalidFormat = new ObjectDescriptor { UrlString = "!@#$%^&*()" };
    }
}
