﻿using System;
using JetBrains.Annotations;
using OpcLabs.EasyOpc.AlarmsAndEvents;
using OpcLabs.EasyOpcFactory.AlarmsAndEvents.AddressSpace;
using OpcLabs.EasyOpcFactory.DataAccess;

namespace OpcLabs.EasyOpcFactory.AlarmsAndEvents
{
    static public class AEConditionStateInstances
    {
        [NotNull]
        static public AEConditionState Instance0 => new AEConditionState();

        [NotNull]
        static public AEConditionState Instance1 => new AEConditionState
        {
            AcknowledgeTime = new DateTime(2015, 1, 26, 9, 52, 30, DateTimeKind.Utc),
            Acknowledged = true,
            AcknowledgerId = "ItheAcknldr",
            Active = true,
            ActiveSubcondition = AESubconditionElementInstances.Instance1,
            ActiveTime = new DateTime(2015, 1, 26, 9, 53, 0, DateTimeKind.Utc),
            AttributeValues = AEAttributeValueDictionaryInstances.Instance2,
            Comment = "testComment",
            Enabled = true,
            InactiveTime = new DateTime(2015, 1, 26, 9, 54, 0, DateTimeKind.Utc),
            Quality = DAQualityInstances.GoodNonspecific,
            SubconditionActiveTime = new DateTime(2015, 1, 26, 9, 55, 0, DateTimeKind.Utc),
            SubconditionElements = AESubconditionElementCollectionInstances.Instance1,
        };
    }
}
