﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.AlarmsAndEvents.AddressSpace;

namespace OpcLabs.EasyOpcFactory.AlarmsAndEvents.AddressSpace
{
    static public class AEAttributeElementCollectionInstances
    {
        [NotNull]
        static public AEAttributeElementCollection Instance0 => new AEAttributeElementCollection();

        [NotNull]
        static public AEAttributeElementCollection Instance1
        {
            get
            {
                var attributeElementCollection = new AEAttributeElementCollection
                {
                    AEAttributeElementInstances.Instance0,
                    AEAttributeElementInstances.Instance1
                };

                return attributeElementCollection;
            }
        }
    }
}
