﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.AddressSpace;
using OpcLabs.EasyOpc.UA.AddressSpace.Standard;

namespace OpcLabs.EasyOpcFactory.UA.AddressSpace
{
    static public class UANodeElementInstances
    {
        [NotNull]
        static public UANodeElement Instance0 => new UANodeElement();

        [NotNull]
        static public UANodeElement Instance1 => new UANodeElement(
            UAObjectIds.Server,
            UANodeClass.Variable,
            new UAQualifiedName("namespecUriString1", "name1"),
            "displayName1",
            UAObjectTypeIds.ConditionType,
            UAReferenceTypeIds.HasDescription,
            true,
            UABrowsePathInstances.Instance1);

        [NotNull]
        static public UANodeElement Instance2 => new UANodeElement(
            UAObjectIds.ActivateSessionRequest_Encoding_DefaultBinary,
            UANodeClass.Object,
            new UAQualifiedName("namespecUriString2", "name2"),
            "displayName2",
            UAObjectTypeIds.AcknowledgeableConditionType,
            UAReferenceTypeIds.Aggregates,
            false,
            UABrowsePathInstances.Instance2);
    }
}
