﻿
using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA.Discovery;

namespace OpcLabs.EasyOpcFactory.UA.Discovery
{
    static public class UALocalApplicationDiscoveryQueryInstances
    {
        [NotNull]
        static public UALocalApplicationDiscoveryQuery Instance0 => new UALocalApplicationDiscoveryQuery();

        [NotNull]
        static public UALocalApplicationDiscoveryQuery Instance1 => new UALocalApplicationDiscoveryQuery("testDiscoveryHost1", UAApplicationTypes.Client);

        [NotNull]
        static public UALocalApplicationDiscoveryQuery Instance2 => new UALocalApplicationDiscoveryQuery("testDiscoveryHost2");

        [NotNull]
        static public UALocalApplicationDiscoveryQuery Instance2B => new UALocalApplicationDiscoveryQuery(new [] {"first", "second"});

        [NotNull]
        static public UALocalApplicationDiscoveryQuery Instance3 => new UALocalApplicationDiscoveryQuery(new string[0], UAApplicationTypes.ClientOrServer);

        [NotNull]
        static public UALocalApplicationDiscoveryQuery Instance3B => new UALocalApplicationDiscoveryQuery(new [] { "first", "second"}, UAApplicationTypes.ClientOrServer);

        [NotNull]
        static public UALocalApplicationDiscoveryQuery Instance3C => new UALocalApplicationDiscoveryQuery("testDiscoveryHost3", UAApplicationTypes.ClientOrServer, true);

        [NotNull]
        static public UALocalApplicationDiscoveryQuery Instance4 => new UALocalApplicationDiscoveryQuery(new[] { "first, second" }, UAApplicationTypes.ClientOrServer, true);
    }
}
