﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA;
using OpcLabs.EasyOpc.UA.AddressSpace;
using OpcLabs.EasyOpc.UA.AddressSpace.Standard;

namespace OpcLabs.EasyOpcFactory.UA
{
    static public class UABrowseParametersInstances
    {
        [NotNull]
        static public UABrowseParameters Instance1 => new UABrowseParameters(
            UANodeClass.Object | UANodeClass.ObjectType,
            new[]
            {UAReferenceTypeIds.GeneratesEvent, UAReferenceTypeIds.HasCause, UAReferenceTypeIds.HasComponent});

        [NotNull]
        static public UABrowseParameters Instance2 => new UABrowseParameters {IncludeSubtypes = false};
    }
}
