﻿using JetBrains.Annotations;
using OpcLabs.BaseLib.Navigation.Parsing;
using OpcLabs.BaseLibFactory.Browsing;

namespace OpcLabs.BaseLibFactory.Parsing
{
    static public class BrowsePathParserInstances
    {

        [NotNull]
        static public BrowsePathParser Instance1 => new BrowsePathParser(BrowsePathInstances.Instance1);

        [NotNull]
        static public BrowsePathParser Instance2 => new BrowsePathParser(BrowsePathInstances.Instance1, 11);
    }
}
