﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.DataAccess.Connectivity;

namespace OpcLabs.EasyOpcFactory.DataAccess.Connectivity
{
    static public class DAPropertyPointInstances
    {
        [NotNull]
        static public DAPropertyPoint Instance1
        {
            get
            {
                var propertyPoint = new DAPropertyPoint(ServerDescriptorInstances.Instance1, DANodeDescriptorInstances.Instance1, DAPropertyDescriptorInstances.Instance1);
                return propertyPoint;
            }
        }

        [NotNull]
        static public DAPropertyPoint Instance2
        {
            get
            {
                var propertyPoint = new DAPropertyPoint(ServerDescriptorInstances.Instance2, DANodeDescriptorInstances.Instance2, DAPropertyDescriptorInstances.Instance2);
                return propertyPoint;
            }
        }
    }
}
