﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.DataAccess;

namespace OpcLabs.EasyOpcFactory.DataAccess
{
    static public class DAAccessRightInstances
    {
        [NotNull]
        static public DAAccessRight None => DAAccessRights.None;

        [NotNull]
        static public DAAccessRight Readable => DAAccessRights.Readable;

        [NotNull]
        static public DAAccessRight Writable => DAAccessRights.Writable;

        [NotNull]
        static public DAAccessRight Both => DAAccessRights.Both;
    }
}
