﻿using JetBrains.Annotations;
using OpcLabs.EasyOpc.UA;
using OpcLabs.EasyOpc.UA.Discovery;

namespace OpcLabs.EasyOpcFactory.UA.Discovery
{
    static public class UAGlobalApplicationDiscoveryQueryInstances
    {
        [NotNull]
        static public UAGlobalApplicationDiscoveryQuery Instance0 => new UAGlobalApplicationDiscoveryQuery();

        [NotNull]
        static public UAGlobalApplicationDiscoveryQuery Instance1 
            => new UAGlobalApplicationDiscoveryQuery(UAEndpointDescriptorInstances.Instance1, UAQueryApplicationsFilter.Empty);

        [NotNull]
        static public UAGlobalApplicationDiscoveryQuery Instance2
            => new UAGlobalApplicationDiscoveryQuery(UAEndpointDescriptor.Null, UAQueryApplicationsFilterInstances.Instance2);

        [NotNull]
        static public UAGlobalApplicationDiscoveryQuery Instance3
            => new UAGlobalApplicationDiscoveryQuery(UAEndpointDescriptorInstances.Instance3, UAQueryApplicationsFilterInstances.Instance1);
    }
}
