﻿// $Header: RegisterSetNode.cs 20120904 10:23 AM zbynekz $
// Copyright (c) CODE Consulting and Development, s.r.o., Plzen. All rights reserved.

using System;
using System.Diagnostics.CodeAnalysis;
using JetBrains.Annotations;
using OpcLabs.BaseLib.Annotations;
using OpcLabs.EasyOpc.DataAccess.LiveMapping;

namespace OpcLabs.EasyOpcLiveTest.Legacy.Environment.OpcKitServer
{
    [CLSCompliant(false)]
    [Designable(false)]
    [SuppressMessage("OpcLabs.VSI", "CX5213:ExpandableObjectConverterImpliesDesignable")]
#pragma warning disable 3021
    public class RegisterSetNode : DAMappedNode
#pragma warning restore 3021
    {
        // ReSharper disable InconsistentNaming

        [CanBeNull]
        [DANode, DAItem]
        [SuppressMessage("Microsoft.Performance", "CA1819:PropertiesShouldNotReturnArrays")]
        public virtual UInt16[] ArrayOfUI2 { get; set; }

        [DANode, DAItem]
        public virtual Int32 I4 { get; set; }

        // ReSharper restore InconsistentNaming
    }
}
