﻿using System;
using JetBrains.Annotations;
using OpcLabs.EasyOpc.DataAccess;
using OpcLabs.EasyOpc.UA;
using OpcLabs.EasyOpcFactory.DataAccess.Engine;
using OpcLabs.UnitTestLib;

namespace OpcLabs.EasyOpcTest
{
    static class AssemblyReferences
    {
        static AssemblyReferences()
        {
            // Assure that the assemblies are loaded.
            ReferenceType(typeof(TestSuite));                   // UnitTestLib
            ReferenceType(typeof(EasyDAClient));          // EasyOpcClassic
            ReferenceType(typeof(EasyUAClient));                // EasyOpcUA
            ReferenceType(typeof(DAClientModeInstances)); // EasyOpcFactory
        }

        // ReSharper disable UnusedParameter.Local
        static void ReferenceType([NotNull] Type type)
        // ReSharper restore UnusedParameter.Local
        {
            // do nothing
        }
    }
}
