﻿using System;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using OpcLabs.BaseLib.ComInterop;

namespace OpcLabs.EasyOpcTest
{
    [TestClass]
    public class VarTypeUtilitiesTest
    {
        [TestMethod]
        public void VarTypeFromTypeTest_Int16()
        {
            Assert.AreEqual((VarType)VarTypes.I2, VarTypeUtilities.VarTypeFromType(typeof(Int16)));
        }

        [TestMethod]
        public void VarTypeFromTypeTest_ArrayOfInt16()
        {
            Assert.AreEqual((VarType)VarTypes.ArrayOfI2, VarTypeUtilities.VarTypeFromType(typeof(Int16[])));
        }
    }
}
